Example Direct Debit Transaction

Create a new SEPA Direct Debit payment transaction.

This is the directdebit variant of the generic
Create Transaction entry point;

the request body and response shown below apply to SEPA Direct Debit only.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body for a SEPA Direct Debit payment (payment_method = directdebit).
Includes the generic request elements together with the consumer and
cartitems containers, plus the Direct Debit specific account fields.

The consumer must agree to the Direct Debit via an optional E-mandate, or by
using another successful payment as a mandate transaction.

Since November 2020 it is mandatory to submit address, city and
country_id of the consumer for the following non EEA countries: CH, MC,
SM, PM, JE, GG, IM, GB and UK.

integer
required
≤ 9999999999

Merchant's site ID.

string
required
length ≤ 255

Valid return URL beginning with http:// or https:// where a consumer will be redirected after payment.

string
length ≤ 255

Optional return URL for pending payments. The url_success will be used if not specified.

string
required
length ≤ 255

Return URL for failed payments.

string
length ≤ 255

Optional return URL for cancelled payments. The url_failure will be used if not specified.

string
length ≤ 255

URL which will receive transaction updates automatically; please check Callback for more information. (recommended)

string
required
length ≤ 255

Unique merchant identification for a transaction.

integer
required
1 to 9999999999

The amount in cents (with no decimal separator).

string
required
^[A-Z]{3}$

Currency in which payment should be effected, expressed using the three-letter international currency code as per ISO-4217.

string
length ≤ 255

Consumer's email address.
Required if it is not included in the consumer container.

string
required
length ≤ 128

Transaction description which will be presented to the user if supported by the payment method.

string
length ≤ 255

Extra information to store with the transaction.

string
required
length ≤ 64

Consumer's IP address.
Note: although IP6 addresses are supported by CURO, most payment methods (still) don't support it.
Please do not use your own (host) IP as this may cause it to be blocked or throttled!
Private IP ranges will also be refused by this API. Use 0.0.0.0 to indicate unknown.

string
length ≤ 2

ISO country code of the consumer.

string
length ≤ 2

This field enables the issuer's site to select the consumer's preferred language.
Possible options: cz (Czech), hr (Croatian), da/dk (Danish), nl (Dutch), en (English, default),
fr (French), fi (Finnish), de (German), gr (Greek), hu (Hungarian), it (Italian),
no (Norwegian), pl (Polish), pt (Portuguese), ru (Russian), es (Spanish), se (Swedish), tr (Turkish).

string
length ≤ 64

Optional name of the e-commerce platform integrating with the API (e.g. "PHP", "Magento").

string
length ≤ 32

Optional version of the e-commerce platform.

string
length ≤ 64

Optional name of the plugin/integration used.

string
length ≤ 32

Optional version of the plugin/integration used.

consumer
object
required

Consumer and shipping information for this transaction. Some fields are required depending on payment method.

string
required
length ≤ 64

Name of the account holder.

string
required
length ≤ 34

IBAN number to debit the amount from. Only SEPA countries are supported.

string
length ≤ 10

SWIFT/BIC code. Optional since 2016 for SEPA.

boolean

Optional flag to enable E-mandates for this payment.

boolean

Optional flag to enable Direct Debit B2B (Business-to-Business).
By default SEPA "CORE" will be used.
Successful SEPA B2B debits are guaranteed and non-reversable (except in case of fraud).
B2B always requires an E-mandate and is not supported by all banks.

integer
0 to 2

Indicate this as a master/mandate transaction for recurring SEPA Direct Debit
payments. Options are 0, 1 and 2. Contact account manager to enable recurring.
For subsequent transactions, consult the recurring entry point.

cartitems
array of objects
required

The cart items of the webshop order.

cartitems*
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json